/*******************************************************************************
* File Name: Monitoring_IN.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_Monitoring_IN_ALIASES_H) /* Pins Monitoring_IN_ALIASES_H */
#define CY_PINS_Monitoring_IN_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"


/***************************************
*              Constants        
***************************************/
#define Monitoring_IN_0			(Monitoring_IN__0__PC)
#define Monitoring_IN_0_INTR	((uint16)((uint16)0x0001u << Monitoring_IN__0__SHIFT))

#define Monitoring_IN_1			(Monitoring_IN__1__PC)
#define Monitoring_IN_1_INTR	((uint16)((uint16)0x0001u << Monitoring_IN__1__SHIFT))

#define Monitoring_IN_2			(Monitoring_IN__2__PC)
#define Monitoring_IN_2_INTR	((uint16)((uint16)0x0001u << Monitoring_IN__2__SHIFT))

#define Monitoring_IN_3			(Monitoring_IN__3__PC)
#define Monitoring_IN_3_INTR	((uint16)((uint16)0x0001u << Monitoring_IN__3__SHIFT))

#define Monitoring_IN_4			(Monitoring_IN__4__PC)
#define Monitoring_IN_4_INTR	((uint16)((uint16)0x0001u << Monitoring_IN__4__SHIFT))

#define Monitoring_IN_5			(Monitoring_IN__5__PC)
#define Monitoring_IN_5_INTR	((uint16)((uint16)0x0001u << Monitoring_IN__5__SHIFT))

#define Monitoring_IN_6			(Monitoring_IN__6__PC)
#define Monitoring_IN_6_INTR	((uint16)((uint16)0x0001u << Monitoring_IN__6__SHIFT))

#define Monitoring_IN_7			(Monitoring_IN__7__PC)
#define Monitoring_IN_7_INTR	((uint16)((uint16)0x0001u << Monitoring_IN__7__SHIFT))

#define Monitoring_IN_INTR_ALL	 ((uint16)(Monitoring_IN_0_INTR| Monitoring_IN_1_INTR| Monitoring_IN_2_INTR| Monitoring_IN_3_INTR| Monitoring_IN_4_INTR| Monitoring_IN_5_INTR| Monitoring_IN_6_INTR| Monitoring_IN_7_INTR))

#endif /* End Pins Monitoring_IN_ALIASES_H */


/* [] END OF FILE */
