/*******************************************************************************
* File Name: SDR_TUNING.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_SDR_TUNING_ALIASES_H) /* Pins SDR_TUNING_ALIASES_H */
#define CY_PINS_SDR_TUNING_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"


/***************************************
*              Constants        
***************************************/
#define SDR_TUNING_0			(SDR_TUNING__0__PC)
#define SDR_TUNING_0_INTR	((uint16)((uint16)0x0001u << SDR_TUNING__0__SHIFT))

#define SDR_TUNING_INTR_ALL	 ((uint16)(SDR_TUNING_0_INTR))

#endif /* End Pins SDR_TUNING_ALIASES_H */


/* [] END OF FILE */
